Summary:		ACPI kernel daemon and control utility
Name:			acpid
Version:		2.0.9
%define subrel		1
Release:		%mkrel 1
License:		GPLv2+
Group:			System/Servers
Epoch:			2
URL:			http://www.tedfelix.com/linux/acpid-netlink.html
Source0:		http://www.tedfelix.com/linux/%{name}-%{version}.tar.gz
Source1:		acpid.rc
Patch0:			acpid-CVE-2011-4578.patch
Patch1:			acpid-CVE-2011-2777.patch
ExclusiveArch:		%{ix86} ia64 x86_64 amd64
Requires(post):		rpm-helper
Requires(post):		chkconfig >= 1.3.37-3mdv
Requires(preun):	rpm-helper
BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot

%description
The ACPI specification defines power and system management functions
for each computer, in a generic manner. The ACPI daemon coordinates
the management of power and system functions when ACPI kernel
support is enabled (kernel 2.3.x or later).

%prep
%setup -q
%patch0 -p0 -b .CVE-2011-4578
%patch1 -p0 -b .CVE-2011-2777

%build
%serverbuild
# Don't use standard optflag, correct LDFLAGS
sed -i -e "/^OPT = /d"  -e "1iLDFLAGS = -pie %{ldflags}" Makefile
OPT="%{optflags} -fPIC" %make

%install
%makeinstall_std
mkdir -p %{buildroot}/%{_initrddir}
install -m755 %{SOURCE1} %{buildroot}%{_initrddir}/acpid

install -d %{buildroot}%{_sysconfdir}/acpi/actions

%clean
rm -rf %{buildroot}

%triggerpostun -- acpid < 2:1.0.6-7mnb
/sbin/chkconfig --level 7 acpid reset

%post
%_post_service acpid

%preun
%_preun_service acpid

%files
%defattr(-,root,root)
%doc README TODO Changelog
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man8/*
%{_initrddir}/acpid
%dir %{_sysconfdir}/acpi/actions




%changelog

* Fri Aug 10 2012 luigiwalser <luigiwalser> 2:2.0.9-1.1.mga1
+ Revision: 280408
- add upstream patch to fix CVE-2011-4578
- add patch from debian to fix CVE-2011-2777

* Sat Apr 16 2011 pterjan <pterjan> 2:2.0.9-1.mga1
+ Revision: 86580
- Update to 2.0.9

* Wed Apr 13 2011 tv <tv> 2:2.0.8-1.mga1
+ Revision: 84179
- drop patch 0 (merged upstream)
- new release

* Fri Feb 11 2011 dmorgan <dmorgan> 2:2.0.7-2.mga1
+ Revision: 50096
- Add patch to fix build

  + ennael <ennael>
    - remove mnb
    - remove old conflict

  + kharec <kharec>
    - imported package acpid

